#!/bin/bash

echo

echo "Saisissez une chaîne de caractères terminée par un \\, puis appuyez sur ENTER."
echo "Ensuite, saisissez une deuxième chaîne de caractères (sans \\ cette fois), " \
  "puis appuyez de nouveau sur ENTER."
read var1     # Le "\" supprime le retour chariot lors de la lecture de $var1.
              #     première ligne \
              #     deuxième ligne

echo "var1 = $var1"
#     var1 = première ligne deuxième ligne

#  Pour chaque ligne terminée par un "\",
#+ vous obtenez une invite sur la ligne suivante pour continuer votre entrée
#+ dans var1.

echo; echo

echo "Saisissez une autre chaîne de caractères terminée par un \\ , puis appuyez sur ENTER."
read -r var2  # L'option -r fait que le "\" est lu littéralement.
              #     première ligne \

echo "var2 = $var2"
#     var2 = première ligne \

# La saisie de données se termine avec le premier ENTER.

echo 

exit 0
